/*
 *  Licensed Materials - Property of IBM
 *  5725-G92 (C) Copyright IBM Corp. 2011, 2013. All Rights Reserved.
 *  US Government Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using WPCordovaClassLib.Cordova;
using WPCordovaClassLib.Cordova.Commands;
using WPCordovaClassLib.Cordova.JSON;

namespace WindowsPhone8CordovaPlugin
{
    public class HelloWorldPlugin : BaseCommand
    {
        public void sayHello(string options)
        {
            string optVal = null;
            try {
                optVal = JsonHelper.Deserialize<string[]>(options)[0];
            }
            catch (Exception) {
                DispatchCommandResult(new PluginResult(PluginResult.Status.ERROR, "HelloWorldPlugin signaled an error"));
            }

            if (optVal == null)
            {
                DispatchCommandResult(new PluginResult(PluginResult.Status.ERROR, "Got null value as input"));
            }
            else
            {
                DispatchCommandResult(new PluginResult(PluginResult.Status.OK, "Hello world, " + optVal));
            }
        }
  
    }
}
